---
layout: ../../../layouts/DocsLayout.astro
title: Tuples
---
import Code from "../../../components/Code.astro"

# Tuples

Uses `#()` just to avoid confusion with function calls and grouping (`()`).

## Definition

<Code thpcode={`
val person = #("John", "Doe", 32)

val #(name, surname, age) = person
`} />



## Signature

<Code thpcode={`
#(String, String, Int)
`} />



